package card_redeem_account

import (
	"context"
	"kami/internal/logic/card_redeem_order"
	"kami/internal/model"
	"kami/internal/service"
	"testing"

	"github.com/gogf/gf/v2/os/glog"
)

func Test_sCardRedeemAccount_DailySummary(t *testing.T) {
	service.RegisterCardRedeemOrder(card_redeem_order.New())
	accountService := sCardRedeemAccount{}
	accountService.DailySummary(context.Background())
}

func Test_sCardRedeemAccount_GetSummary(t *testing.T) {
	service.RegisterCardRedeemOrder(card_redeem_order.New())
	accountService := sCardRedeemAccount{}
	_, output, err := accountService.GetSummary(context.Background(), &model.AccountDailySummaryGetInput{}, nil)
	glog.Info(context.Background(), output, err)
}
